summaryrefslogtreecommitdiffstats
path: root/vagrant_build.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:34:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:34:10 +0000
commite4ba6dbc3f1e76890b22773807ea37fe8fa2b1bc (patch)
tree68cb5ef9081156392f1dd62a00c6ccc1451b93df /vagrant_build.sh
parentInitial commit. (diff)
downloadwireshark-e4ba6dbc3f1e76890b22773807ea37fe8fa2b1bc.tar.xz
wireshark-e4ba6dbc3f1e76890b22773807ea37fe8fa2b1bc.zip
Adding upstream version 4.2.2.upstream/4.2.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'vagrant_build.sh')
-rw-r--r--vagrant_build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/vagrant_build.sh b/vagrant_build.sh
new file mode 100644
index 00000000..7542f08f
--- /dev/null
+++ b/vagrant_build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Copyright 2015 Evan Huus <eapache@gmail.com>
+#
+# Wireshark - Network traffic analyzer
+# By Gerald Combs <gerald@wireshark.org>
+# Copyright 1998 Gerald Combs
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+set -e
+
+grep -q WIRESHARK_RUN_FROM_BUILD_DIRECTORY ~/.profile || echo "export WIRESHARK_RUN_FROM_BUILD_DIRECTORY=1" >> ~/.profile
+grep -q WIRESHARK_BIN_DIR ~/.profile || echo "export WIRESHARK_BIN_DIR=~/build/run" >> ~/.profile
+mkdir -p build
+cd build
+cmake -DENABLE_CCACHE=ON ../wireshark
+make -j4
+make test-programs
+make test